Skip to main content
PATCH
Update a brew day step

Authorizations

X-API-Key
string
header
required

An API key created from a signed-in session. See Authentication.

Path Parameters

id
string<uuid>
required

Step id

Body

application/json
title
string

Step title

Minimum string length: 1
description
string | null

Instructions or details

type
enum<string>
default:other

Step category

Available options:
prep,
mash,
boil,
cool,
ferment,
package,
other
timer_minutes
integer | null

Optional timer duration in minutes

sort_order
integer

Display order

Required range: x >= 0
completed
boolean

Whether this step is done

Response

The updated step

id
string<uuid>
read-only

Unique identifier

session_id
string<uuid>
read-only

Parent session

title
string

Step title

description
string | null

Instructions or details

type
enum<string>

Step category

Available options:
prep,
mash,
boil,
cool,
ferment,
package,
other
completed
boolean

Whether this step is done

completed_at
string | null

When it was ticked off

timer_minutes
integer | null

Timer duration in minutes

sort_order
integer

Display order

created_at
string<date-time>
read-only

ISO 8601 timestamp